mysql> show tables;
+-------------------+
| Tables_in_persons |
+-------------------+
| homes             |
| movies            |
| people            |
+-------------------+
3 rows in set (0.01 sec)

mysql> INSERT INTO movies (title, runtime, genre, imdb_score, rating) VALUES ('Howard the Duck', '110', 'Sci-Fi', '4.6', 'PG');
Query OK, 1 row affected (0.00 sec)

mysql> INSERT INTO movies (title, runtime, genre, imdb_score, rating) VALUES ('Lavalantula', '83', 'Horror', '4.7', 'TV-14');
Query OK, 1 row affected (0.00 sec)

mysql> INSERT INTO movies (title, runtime, genre, imdb_score, rating) VALUES ('Starship Troopers', '129', 'Sci-Fi', '7.2', 'PG-13');
Query OK, 1 row affected (0.00 sec)

mysql> INSERT INTO movies (title, runtime, genre, imdb_score, rating) VALUES ('Waltz With Bashir', '90', 'Documentary', '8.0', 'R');
Query OK, 1 row affected (0.00 sec)

mysql> INSERT INTO movies (title, runtime, genre, imdb_score, rating) VALUES ('Spaceballs', '96', 'Comedy', '7.1', 'PG');
Query OK, 1 row affected (0.01 sec)

mysql> INSERT INTO movies (title, runtime, genre, imdb_score, rating) VALUES ('Monsters, Inc.', '92', 'Animation', '8.1', 'G');
Query OK, 1 row affected (0.00 sec)

mysql> SHOW TABLE
    -> ;
ERROR 1064 (42000): You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1
mysql> SHOW TABLE ;
ERROR 1064 (42000): You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1
mysql> SELECT * FROM movies
    -> ;
+----+-------------------+---------+-------------+------------+--------+
| id | title             | runtime | genre       | imdb_score | rating |
+----+-------------------+---------+-------------+------------+--------+
|  1 | Howard the Duck   |     110 | Sci-Fi      |        4.6 | PG     |
|  2 | Lavalantula       |      83 | Horror      |        4.7 | TV-14  |
|  3 | Starship Troopers |     129 | Sci-Fi      |        7.2 | PG-13  |
|  4 | Waltz With Bashir |      90 | Documentary |        8.0 | R      |
|  5 | Spaceballs        |      96 | Comedy      |        7.1 | PG     |
|  6 | Monsters, Inc.    |      92 | Animation   |        8.1 | G      |
+----+-------------------+---------+-------------+------------+--------+
6 rows in set (0.00 sec)

mysql> INSERT INTO movies (title, runtime, genre, imdb_score, rating) VALUES ('Incredibles 2', '118', 'Animation', '9.2', 'PG');
Query OK, 1 row affected (0.01 sec)

mysql> INSERT INTO movies (title, runtime, genre, imdb_score, rating) VALUES ('Life of the Party', '107', 'Comedy', '5.5', 'PG-13');
Query OK, 1 row affected (0.01 sec)

mysql> INSERT INTO movies (title, runtime, genre, imdb_score, rating) VALUES ('RBG', '97', 'Documentary', '7.5', 'PG');
Query OK, 1 row affected (0.00 sec)

mysql> INSERT INTO movies (title, runtime, genre, imdb_score, rating) VALUES ('Black Panther', '135', 'Sci-Fi', '7.5', 'PG');
Query OK, 1 row affected (0.00 sec)

mysql> SELECT * FROM movies;
+----+-------------------+---------+-------------+------------+--------+
| id | title             | runtime | genre       | imdb_score | rating |
+----+-------------------+---------+-------------+------------+--------+
|  1 | Howard the Duck   |     110 | Sci-Fi      |        4.6 | PG     |
|  2 | Lavalantula       |      83 | Horror      |        4.7 | TV-14  |
|  3 | Starship Troopers |     129 | Sci-Fi      |        7.2 | PG-13  |
|  4 | Waltz With Bashir |      90 | Documentary |        8.0 | R      |
|  5 | Spaceballs        |      96 | Comedy      |        7.1 | PG     |
|  6 | Monsters, Inc.    |      92 | Animation   |        8.1 | G      |
|  7 | Incredibles 2     |     118 | Animation   |        9.2 | PG     |
|  8 | Life of the Party |     107 | Comedy      |        5.5 | PG-13  |
|  9 | RBG               |      97 | Documentary |        7.5 | PG     |
| 10 | Black Panther     |     135 | Sci-Fi      |        7.5 | PG     |
+----+-------------------+---------+-------------+------------+--------+
10 rows in set (0.00 sec)

mysql> SELECT 'title' FROM movies WHERE 'genre'= 'Sci-Fi';
Empty set (0.00 sec)

mysql> SELECT title FROM movies WHERE genre='Sci-Fi';
+-------------------+
| title             |
+-------------------+
| Howard the Duck   |
| Starship Troopers |
| Black Panther     |
+-------------------+
3 rows in set (0.00 sec)

mysql> SELECT title FROM movies WHERE imdb_score>=6.5;
+-------------------+
| title             |
+-------------------+
| Starship Troopers |
| Waltz With Bashir |
| Spaceballs        |
| Monsters, Inc.    |
| Incredibles 2     |
| RBG               |
| Black Panther     |
+-------------------+
7 rows in set (0.00 sec)

mysql> SELECT title FROM movies WHERE rating=G,PG AND runtime<100;
ERROR 1064 (42000): You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'PG AND runtime<100' at line 1
mysql> SELECT title FROM movies WHERE rating='G','PG' AND runtime<100;
ERROR 1064 (42000): You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ''PG' AND runtime<100' at line 1
mysql> SELECT title FROM movies WHERE rating='G' OR rating='PG' AND runtime<100;
+----------------+
| title          |
+----------------+
| Spaceballs     |
| Monsters, Inc. |
| RBG            |
+----------------+
3 rows in set (0.00 sec)

mysql> SELECT title, AVG(runtime), genre, imdb_score GROUP BY genre;
ERROR 1064 (42000): You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'GROUP BY genre' at line 1
mysql> SELECT title, AVG(runtime), genre, imdb_score FROM movies GROUP BY genre;
ERROR 1055 (42000): Expression #1 of SELECT list is not in GROUP BY clause and contains nonaggregated column 'persons.movies.title' which is not functionally dependent on columns in GROUP BY clause; this is incompatible with sql_mode=only_full_group_by
mysql> SELECT title, AVG(runtime) AS avg FROM movies;
ERROR 1140 (42000): In aggregated query without GROUP BY, expression #1 of SELECT list contains nonaggregated column 'persons.movies.title'; this is incompatible with sql_mode=only_full_group_by
mysql> SELECT title, runtime FROM movies WHERE imdb_score<7.5, GROUP BY genre;
ERROR 1064 (42000): You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ' GROUP BY genre' at line 1
mysql> UPDATE movies SET rating ='R' WHERE title='Starship Troopers';
Query OK, 1 row affected (0.00 sec)
Rows matched: 1  Changed: 1  Warnings: 0

mysql> SELECT * FROM movies
    -> ;
+----+-------------------+---------+-------------+------------+--------+
| id | title             | runtime | genre       | imdb_score | rating |
+----+-------------------+---------+-------------+------------+--------+
|  1 | Howard the Duck   |     110 | Sci-Fi      |        4.6 | PG     |
|  2 | Lavalantula       |      83 | Horror      |        4.7 | TV-14  |
|  3 | Starship Troopers |     129 | Sci-Fi      |        7.2 | R      |
|  4 | Waltz With Bashir |      90 | Documentary |        8.0 | R      |
|  5 | Spaceballs        |      96 | Comedy      |        7.1 | PG     |
|  6 | Monsters, Inc.    |      92 | Animation   |        8.1 | G      |
|  7 | Incredibles 2     |     118 | Animation   |        9.2 | PG     |
|  8 | Life of the Party |     107 | Comedy      |        5.5 | PG-13  |
|  9 | RBG               |      97 | Documentary |        7.5 | PG     |
| 10 | Black Panther     |     135 | Sci-Fi      |        7.5 | PG     |
+----+-------------------+---------+-------------+------------+--------+
10 rows in set (0.00 sec)

mysql> SELECT title, runtime FROM movies WHERE imdb_score<7.5 GROUP BY genre;
ERROR 1055 (42000): Expression #1 of SELECT list is not in GROUP BY clause and contains nonaggregated column 'persons.movies.title' which is not functionally dependent on columns in GROUP BY clause; this is incompatible with sql_mode=only_full_group_by
mysql> SELECT genre, title, runtime FROM movies WHERE imdb_score<7.5 GROUP BY genre;
ERROR 1055 (42000): Expression #2 of SELECT list is not in GROUP BY clause and contains nonaggregated column 'persons.movies.title' which is not functionally dependent on columns in GROUP BY clause; this is incompatible with sql_mode=only_full_group_by
mysql> SELECT genre, AVG(runtime) FROM movies WHERE imdb_score<7.5 GROUP BY genre;
+--------+--------------+
| genre  | AVG(runtime) |
+--------+--------------+
| Comedy |     101.5000 |
| Horror |      83.0000 |
| Sci-Fi |     119.5000 |
+--------+--------------+
3 rows in set (0.01 sec)

mysql> SELECT id, rating FROM movies WHERE genre='Horror' OR genre='Documentary';
+----+--------+
| id | rating |
+----+--------+
|  2 | TV-14  |
|  4 | R      |
|  9 | PG     |
+----+--------+
3 rows in set (0.00 sec)

mysql> SELECT rating, AVG(imdb_score), MIN(imdb_score), MAX(imdb_score) FROM movies GROUP BY rating;
+--------+-----------------+-----------------+-----------------+
| rating | AVG(imdb_score) | MIN(imdb_score) | MAX(imdb_score) |
+--------+-----------------+-----------------+-----------------+
| G      |         8.10000 |             8.1 |             8.1 |
| PG     |         7.18000 |             4.6 |             9.2 |
| PG-13  |         5.50000 |             5.5 |             5.5 |
| R      |         7.60000 |             7.2 |             8.0 |
| TV-14  |         4.70000 |             4.7 |             4.7 |
+--------+-----------------+-----------------+-----------------+
5 rows in set (0.00 sec)

mysql> SELECT rating FROM movies HAVING COUNT(*)>1;
ERROR 1140 (42000): In aggregated query without GROUP BY, expression #1 of SELECT list contains nonaggregated column 'persons.movies.rating'; this is incompatible with sql_mode=only_full_group_by
mysql> SELECT rating FROM movies GROUP BY rating HAVING COUNT(*)>1;
+--------+
| rating |
+--------+
| PG     |
| R      |
+--------+
2 rows in set (0.00 sec)

mysql> SELECT * FROM movies;
+----+-------------------+---------+-------------+------------+--------+
| id | title             | runtime | genre       | imdb_score | rating |
+----+-------------------+---------+-------------+------------+--------+
|  1 | Howard the Duck   |     110 | Sci-Fi      |        4.6 | PG     |
|  2 | Lavalantula       |      83 | Horror      |        4.7 | TV-14  |
|  3 | Starship Troopers |     129 | Sci-Fi      |        7.2 | R      |
|  4 | Waltz With Bashir |      90 | Documentary |        8.0 | R      |
|  5 | Spaceballs        |      96 | Comedy      |        7.1 | PG     |
|  6 | Monsters, Inc.    |      92 | Animation   |        8.1 | G      |
|  7 | Incredibles 2     |     118 | Animation   |        9.2 | PG     |
|  8 | Life of the Party |     107 | Comedy      |        5.5 | PG-13  |
|  9 | RBG               |      97 | Documentary |        7.5 | PG     |
| 10 | Black Panther     |     135 | Sci-Fi      |        7.5 | PG     |
+----+-------------------+---------+-------------+------------+--------+
10 rows in set (0.00 sec)

mysql> DELETE FROM movies WHERE rating='R';
Query OK, 2 rows affected (0.00 sec)

mysql> SELECT * FROM movies;
+----+-------------------+---------+-------------+------------+--------+
| id | title             | runtime | genre       | imdb_score | rating |
+----+-------------------+---------+-------------+------------+--------+
|  1 | Howard the Duck   |     110 | Sci-Fi      |        4.6 | PG     |
|  2 | Lavalantula       |      83 | Horror      |        4.7 | TV-14  |
|  5 | Spaceballs        |      96 | Comedy      |        7.1 | PG     |
|  6 | Monsters, Inc.    |      92 | Animation   |        8.1 | G      |
|  7 | Incredibles 2     |     118 | Animation   |        9.2 | PG     |
|  8 | Life of the Party |     107 | Comedy      |        5.5 | PG-13  |
|  9 | RBG               |      97 | Documentary |        7.5 | PG     |
| 10 | Black Panther     |     135 | Sci-Fi      |        7.5 | PG     |
+----+-------------------+---------+-------------+------------+--------+
8 rows in set (0.00 sec)

mysql>
